Public Member Functions | Public Attributes | Private Member Functions | List of all members
libebook::PDBParserImpl Struct Reference

## Public Member Functions
| PDBParserImpl (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document)

## Public Attributes
HeaderData | m_header
librevenge::RVNGInputStream * | m_input
librevenge::RVNGTextInterface * | m_document

## Private Member Functions
| PDBParserImpl (const PDBParserImpl &other)
PDBParserImpl & | operator= (const PDBParserImpl &other)

## Constructor & Destructor Documentation

## ◆ PDBParserImpl() [1/2]

libebook::PDBParserImpl::PDBParserImpl | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document
| ) |  |

## ◆ PDBParserImpl() [2/2]

libebook::PDBParserImpl::PDBParserImpl | ( | const PDBParserImpl & | other | ) |
| private

## Member Function Documentation

## ◆ operator=()

PDBParserImpl & libebook::PDBParserImpl::operator= | ( | const PDBParserImpl & | other | ) |
| private

## Member Data Documentation

## ◆ m_document

librevenge::RVNGTextInterface* libebook::PDBParserImpl::m_document

## ◆ m_header

HeaderData libebook::PDBParserImpl::m_header

## ◆ m_input

librevenge::RVNGInputStream* libebook::PDBParserImpl::m_input

The documentation for this struct was generated from the following file:

- PDBParser.cpp